{ lib, pkgs, config, ... }:

{
  services = {
    cloudflared = {
      enable = true;
      tunnels = {
        "{{Tunnel UUID}}" = {
          credentialsFile = "{{UUID.json}}";
          default = "http_status:404";
          ingress = {
            "ahoneybun.net" = "http://localhost:8082";
            "www.ahoneybun.net" = "http://localhost:8082";
            "photo.macabremusings.xyz" = "http://localhost:2342";
            "git.macabremusings.xyz" = "http://localhost:3001";
            "book.macabremusings.xyz" = "http://localhost:5000";
            "video.macabremusings.xyz" = "http://localhost:8096";
          };
        };
      };
    };
  };
}
